libebook::LRFHeader Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libebook::LRFHeader Struct Reference

## Public Member Functions
| LRFHeader ()

## Public Attributes
unsigned | version
uint16_t | key
unsigned | rootOID
uint64_t | numberOfObjects
uint64_t | objectIndexOffset
unsigned | xmlCompSize
LRFImageType | thumbnailType
unsigned | thumbnailSize
unsigned | dpi
unsigned | width
unsigned | tocOID

## Constructor & Destructor Documentation

## ◆ LRFHeader()

libebook::LRFHeader::LRFHeader | ( |  | ) |

## Member Data Documentation

## ◆ dpi

unsigned libebook::LRFHeader::dpi

Referenced by libebook::LRFParser::readHeader().

## ◆ key

uint16_t libebook::LRFHeader::key

Referenced by libebook::LRFParser::readHeader().

## ◆ numberOfObjects

uint64_t libebook::LRFHeader::numberOfObjects

Referenced by libebook::LRFParser::readHeader(), and libebook::LRFParser::readObjectIndex().

## ◆ objectIndexOffset

uint64_t libebook::LRFHeader::objectIndexOffset

Referenced by libebook::LRFParser::readHeader(), and libebook::LRFParser::readObjectIndex().

## ◆ rootOID

unsigned libebook::LRFHeader::rootOID

Referenced by libebook::LRFParser::parse(), and libebook::LRFParser::readHeader().

## ◆ thumbnailSize

unsigned libebook::LRFHeader::thumbnailSize

Referenced by libebook::LRFParser::readHeader().

## ◆ thumbnailType

LRFImageType libebook::LRFHeader::thumbnailType

Referenced by libebook::LRFParser::readHeader().

## ◆ tocOID

unsigned libebook::LRFHeader::tocOID

Referenced by libebook::LRFParser::parse(), and libebook::LRFParser::readHeader().

## ◆ version

unsigned libebook::LRFHeader::version

Referenced by libebook::LRFParser::readHeader().

## ◆ width

unsigned libebook::LRFHeader::width

Referenced by libebook::LRFParser::readHeader().

## ◆ xmlCompSize

unsigned libebook::LRFHeader::xmlCompSize

Referenced by libebook::LRFParser::readHeader(), and libebook::LRFParser::readMetadata().

The documentation for this struct was generated from the following file:

- LRFParser.cpp